<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateInformationsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('swp_informations', function (Blueprint $table) {
            $table->string('id', 36)->primary();
            $table->string('title');
            $table->text('content')->nullable();
            $table->boolean('info_status')->nullable();
            $table->integer('viewer')->nullable();
            $table->string('slug')->nullable();
            $table->date('event_date')->nullable();
            $table->string('userid_created', 36)->nullable();
            $table->string('userid_updated', 36)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('swp_informations');
    }
}
